package com.hungraim.ltc.account.controller;

import com.hungraim.ltc.account.service.AccountService;
import com.hungraim.ltc.redis.RedisLock;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Calendar;

/**
 * @author zwl
 * @ClassName
 * @description
 * @date 2024/5/12 15:14
 **/

@Component
@EnableAsync
@Slf4j
public class PlaceOtherController {

    @Autowired
    private RedisLock redisLock;

    @Autowired
    private AccountService accountService;


    public static final String JOB_PLACE_KEY = "redis.job.task:place";

    @Scheduled(cron = "0 30 23 28-31 * ?")
    public void disablePlaceHandler() {
        boolean flag = redisLock.tryLock(JOB_PLACE_KEY, 1000 * 30);
        if (flag) {
            final Calendar c = Calendar.getInstance();
            if (c.get(Calendar.DATE) == c.getActualMaximum(Calendar.DATE)) {
                //是最后一天
                accountService.placeOtherTaskQuery();
            }
        }

    }
}
