package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTaskDetail;
import com.hungraim.ltc.pojo.vo.account.SrvTaskReqVO;
import com.hungraim.ltc.pojo.vo.account.SrvTaskRespVO;
import com.hungraim.ltc.pojo.vo.disable.PlaceOtherVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

@Mapper
@Repository
public interface ChSrvTaskDetailMapper extends BaseMapper<ChSrvTaskDetail> {

    Page<SrvTaskRespVO> getSrvTaskList(Page page,SrvTaskReqVO req);

    Page<SrvTaskRespVO> getSrvTaskCardList(Page page,SrvTaskReqVO req);


    List<SrvTaskRespVO> getSrvTaskCardInfo(String taskDetailId);

    /**
     *@desc 更新任务计划表状态为已完成
     **/
    Integer updateSrvPlanById(String palnId);

    int placeOtherApply(Integer disabInfoId, String otherApplyTime);

    Page<PlaceOtherVO> placeOtherQuery(Page page, String name, String certiCode);


    List<PlaceOtherVO> placeOtherTaskQuery();

    int getRoleByUserId(@Param("userId") Integer userId, @Param("roleIds") List<String> roleIds );

}