package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.entity.facelocation.FaceLocationWhiteList;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvProgram;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.vo.disable.DisableInfoListVo;
import com.hungraim.ltc.pojo.vo.disable.DisableInfoRespDTO;
import com.hungraim.ltc.pojo.vo.disable.ProgramRespDTO;
import com.hungraim.ltc.pojo.vo.facelocation.FaceLocationWhiteListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 人工识别/定位配置Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface FaceLocationWhiteListMapper extends BaseMapper<FaceLocationWhiteList> {

    /**
     *  列表查询
     *
     * @param page          分页参数
     * @param srvOrganId    服务机构id
     * @return 返回列表
     */
    Page<FaceLocationWhiteListVo> getFaceLocationWhiteList(Page<FaceLocationWhiteListVo> page,
                                                           @Param("srvOrganId") Long srvOrganId,//护理机构ID
                                                           String certiCode,//失能人员身份证号
                                                           String realName,//失能人员姓名
                                                           String empName);//护理人员姓名




    FaceLocationWhiteListVo getFaceLocationWhiteDetail(Long listId);

}
