package com.hungraim.ltc.service.impl;

import cn.afterturn.easypoi.excel.ExcelExportUtil;
import cn.afterturn.easypoi.excel.entity.ExportParams;
import cn.afterturn.easypoi.excel.entity.enmus.ExcelType;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.api.AttachFeignService;
import com.hungraim.ltc.dao.*;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.entity.assessment.ChAprTask;
import com.hungraim.ltc.pojo.entity.assessment.ChDisableInfoHis;
import com.hungraim.ltc.pojo.entity.disable.*;
import com.hungraim.ltc.pojo.entity.facelocation.FaceLocationWhiteList;
import com.hungraim.ltc.pojo.entity.riskLevel.ChDisableRiskLevel;
import com.hungraim.ltc.pojo.entity.serviceManage.ChCfgPara;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvProgram;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvSend;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTaskDetailAuditLog;
import com.hungraim.ltc.pojo.vo.disable.*;
import com.hungraim.ltc.pojo.vo.facelocation.FaceLocationWhiteListVo;
import com.hungraim.ltc.pojo.vo.system.AttachUpdateVo;
import com.hungraim.ltc.service.DisableService;
import com.hungraim.ltc.service.FaceLocationWhiteListService;
import com.hungraim.ltc.service.OrganService;
import com.hungraim.ltc.util.AttachType;
import com.hungraim.ltc.util.DateUtils;
import com.hungraim.ltc.util.Result;
import com.hungraim.ltc.util.ResultCode;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import oracle.sql.DATE;
import org.apache.commons.lang.StringUtils;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import java.util.*;

@Service
@Slf4j
@AllArgsConstructor
public class FaceLocationWhiteListServiceImpl implements FaceLocationWhiteListService {

    private final FaceLocationWhiteListMapper faceLocationWhiteListMapper;

    @Override
    public Page<FaceLocationWhiteListVo> getFaceLocationWhiteList(Page<FaceLocationWhiteListVo> page
            , Long srvOrganId, String certiCode, String realName, String empName) {

        Page<FaceLocationWhiteListVo> whiteListVOPage = faceLocationWhiteListMapper.getFaceLocationWhiteList(page,srvOrganId,certiCode,
                realName,empName);

        return whiteListVOPage;
    }

    @Override
    public FaceLocationWhiteListVo getFaceLocationWhiteDetail(Long listId) {
        return faceLocationWhiteListMapper.getFaceLocationWhiteDetail(listId);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Result addOrUpdateFaceLocationWhiteList(FaceLocationWhiteList faceLocationWhiteList) {
        //添加或修改记录
        Long listId = faceLocationWhiteList.getListId();
        if (null == listId) {
            Integer count=faceLocationWhiteListMapper.selectCount(new LambdaQueryWrapper<FaceLocationWhiteList>()//计划次数
                    .eq(FaceLocationWhiteList::getSrvOrganId, faceLocationWhiteList.getSrvOrganId())
                    .eq(FaceLocationWhiteList::getDisabInfoId,faceLocationWhiteList.getDisabInfoId())
                    .eq(FaceLocationWhiteList::getEmpId,faceLocationWhiteList.getEmpId()));
            if(count>0){
                return Result.failed("该护理人员及失能人员在系统内已经配置了白名单，不能重复配置！");
            }
            // 新增
            faceLocationWhiteListMapper.insert(faceLocationWhiteList);
        } else {
            // 修改
            faceLocationWhiteListMapper.updateById(faceLocationWhiteList);
        }
        return Result.success();
    }

    public Result deleteFaceLocationWhiteListById(Long listId){
        int count=faceLocationWhiteListMapper.deleteById(listId);
        if(count>0){
            return Result.success();
        }else{
            return Result.failed("删除0条数据");
        }
    }
}
