package com.hungraim.ltc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hungraim.ltc.dao.FndOrganMapper;
import com.hungraim.ltc.pojo.entity.disable.ChFndOrgan;
import com.hungraim.ltc.service.OrganService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
@AllArgsConstructor
public class OrganServiceImpl implements OrganService {

    private final FndOrganMapper fndOrganMapper;

    /**
     * 获取机构ids
     *
     * @param organId  父机构id
     * @param organIds 机构list
     */
    private void getOrganList(Long organId, List<Long> organIds) {
        QueryWrapper<ChFndOrgan> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("STATUS", "1");
        if(organId!=0){
            queryWrapper.eq("PARENT_ID", organId);
        }
        List<ChFndOrgan> organs = fndOrganMapper.selectList(queryWrapper);
        if (organs != null && organs.size() != 0) {
            for (ChFndOrgan chFndOrgan : organs) {
                String childOrganId = chFndOrgan.getOrganId();
                organIds.add(Long.valueOf(childOrganId));
                if ("1".equals(chFndOrgan.getIsLeaf())) {
                    getOrganList(Long.valueOf(childOrganId), organIds);
                }
            }
        }
    }

    @Override
    public List<Long> getOrganIds(Long organId, Boolean isInvolveChild) {
        List<Long> organIds = new ArrayList<>();
        if (organId != null && organId != 0) {
            organIds.add(organId);
            if (isInvolveChild!=null && isInvolveChild) {
                getOrganList(organId, organIds);
            }
        }
        return organIds;
    }
}
