package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_APR_TASK_PUSH
 * @author 
 */
@TableName("CH_APR_TASK_PUSH")
@KeySequence("SEQ_CH_APR_TASK_PUSH")
@Data
public class ChAprTaskPush implements Serializable {
    /**
     * 任务推送ID（年月日+串码6）
     */
    @TableId(value = "task_push_id", type = IdType.INPUT)
    private Long taskPushId;

    /**
     * 任务池ID
     */
    private String taskPoolId;

    /**
     * 日期
     */
    private Date time;

    /**
     * 评定起点ID
     */
    private Long evaluateAddressId;

    /**
     * 组号
     */
    private String groupNumber;

    /**
     * 顺序号
     */
    private Long orderNumber;

    /**
     * 任务ID
     */
    private Long taskId;

    /**
     * 计划到达时间
     */
    private Date plannedArrivalTime;

    /**
     * 计划离开时间
     */
    private Date plannedDepartureTime;

    /**
     * 距离前站公里数
     */
    private BigDecimal distanceStationKilometers;

    /**
     * 距离前站行驶时间（建议单位是分钟）
     */
    private BigDecimal distanceStationTravelTime;

    /**
     * 车次总距离
     */
    private BigDecimal totalDistance;

    /**
     * 总时长
     */
    private BigDecimal lengthOfTime;

    /**
     * 报送主键ID
     */
    private Long sendId;

    /**
     * 组长ID
     */
    private Long empId;

    /**
     * 状态（0未分配,1已分配， 空 ,2拒绝(重新分配),3 已接受 ,4 已完成,5失效,6拒绝(中止),7拒绝(终止)）
     */
    private Short status;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 上门服务日期(遇到节假日分配到工作第一天)
     */
    private Date setoutDate;

    /**
     * 任务组id号
     */
    private String taskGroupNo;

    /**
     * 车次的行程起点地址
     */
    private String routeStartLocation;

    /**
     * 车次的行程终点地址
     */
    private String routeEndLocation;

    /**
     * 车次的行程出发时间
     */
    private Date routeStartTime;

    /**
     * 车次的行程结束时间
     */
    private Date routeEndTime;

    /**
     * 停靠点地址
     */
    private String stopLocation;

    /**
     * 来源(0:定时任务 1核心，2网厅)
     */
    private Short dataFrom;

    /**
     * 接受时间
     */
    private Date acceptTime;

    /**
     * 接受人
     */
    private Long acceptEmp;

    /**
     * 接受机构
     */
    private Long acceptOrganName;

    /**
     * 拒绝原因
     */
    private Short refuseReason;

    /**
     * 拒绝备注
     */
    private String refuseRemark;

    /**
     * 拒绝时间
     */
    private Date refuseTime;

    /**
     * 拒绝人
     */
    private Long refuseEmp;

    /**
     * 拒绝机构
     */
    private Long refuseOrganName;

    /**
     * 分配时间
     */
    private Date assignTime;

    /**
     * 分配人
     */
    private Long assignEmp;

    /**
     * 分配机构
     */
    private Long assignOrganName;

    /**
     * 是否手动分组 （0 是，1 否）
     */
    private Short isManual;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 完成人
     */
    private Long finishEmp;

    /**
     * 完成机构
     */
    private Long finishOrganName;

    /**
     * 任务预约时间
     */
    private Date taskAppointmentDate;

    /**
     * 预约备注
     */
    private String appointmentRemark;

    /**
     * 评定人员ID
     */
    private Long empId2;
}