package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_SRV_PROGRAM_SET
 * @author zhangch
 */
@Data
@TableName("CH_SRV_PROGRAM_SET")
@KeySequence("SEQ_CH_SRV_PROGRAM_SET")
public class ChSrvProgramSet implements Serializable {
    /**
     * 方案ID
     */
    @TableId(type = IdType.INPUT)
    private Long setId;

    /**
     * 服务项目ID
     */
    private Long itemId;

    /**
     * 是否配置
     */
    private Short isConf;

    /**
     * 服务周期
     */
    private Short itemFreq;

    /**
     * 服务频次
     */
    private Integer itemTimes;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 服务方案ID
     */
    private Long programId;

    /**
     * 服务方式
     */
    private Long srvModeId;

    /**
     * 数据来源  网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅首次操作人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 服务项目分类
     */
    private Integer itemType;

    /**
     * 是否必选
     */
    private Integer chooseFlag;

    /**
     * 付款类型
     */
    private Long payType;

    /**
     * 规格
     */
    private String spec;

    /**
     * 单位
     */
    private String unit;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 计划频次
     */
    private Long planningFrequency;

    /**
     * 计划频次类型(1：次/每月，2：次/每天，3：次/每周；)
     */
    private Short planningFrequencyType;

    /**
     * 备注
     */
    private String remark;

    private String itemWeek;

    private static final long serialVersionUID = 1L;
}